<?php

namespace App\ViewModels\Extorno\ExtornoRegistrationViewModel;

use App\Utils\Builder;

class ExtornoRegistrationViewModelBuilder implements Builder {
	protected $id_comanda;
	protected $id_tipo_extorno;
	protected $valor;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $observacao;

	public function build():ExtornoRegistrationViewModel {
		
		$extorno = new ExtornoRegistrationViewModel();
		
		$extorno->setIdComanda($this->id_comanda);
		$extorno->setIdTipoExtorno($this->id_tipo_extorno);
		$extorno->setValor($this->valor);
		$extorno->setCriadoPor($this->criado_por);
		$extorno->setDataCriacao($this->data_criacao);
		$extorno->setHoraCriacao($this->hora_criacao);
		$extorno->setObservacao($this->observacao);		
		
		return $extorno;


	}
	/**
	 * @param mixed $id_comanda
	 */
	public function setIdComanda($id_comanda) {

		$this->id_comanda = $id_comanda;
		return $this;
	}


	/**
	 * @param mixed $id_tipo_extorno
	 */
	public function setIdTipoExtorno($id_tipo_extorno) {

		$this->id_tipo_extorno = $id_tipo_extorno;
		return $this;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;
	}


	/**
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;
	}


	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
		return $this;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
		return $this;
	}


	/**
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;
		return $this;
	}



}

